use SGMLS;

package Scrap;
@ISA = qw(SGMLS_Element);

sub new {
    my ($class,$element) = @_;
    $element->ext->{'file'} = undef;
    return bless $element;
}

sub set_file {
    my ($self, $file) = @_;
    $self->ext->{'file'} = $file;
}

sub get_file {
    my ($self) = @_;
    return $self->ext->{'file'};
}


package LitSect;
@ISA = qw(SGMLS_Element);

sub new {
    my ($class,$element) = @_;
    $element->ext->{'nBlurbs'} = 0;
    return bless $element;
}

sub inc_nBlurbs {
    my ($self, $nBlurbs) = @_;
    $self->ext->{'nBlurbs'} ++;
}

sub get_nBlurbs {
    my ($self) = @_;
    return $self->ext->{'nBlurbs'};
}
