#!/usr/bin/perl

use SGMLS;                      # Use the SGMLS package.
use SGMLS::Output;              # Use stack-based output.

sgml ('start_element', sub {
    my ($element,$event) = @_;
    output ("<", $element->name, ">");
});

sgml ('end_element', sub {
    my ($element,$event) = @_;
    output ("</", $element->name, ">");
});

sgml('re',"<NL>\n");

# sgml('cdata',sub { output $_[0]; });
# sgml('sdata',sub { die "Unknown SDATA: " . $_[0]; });
# sgml('pi',sub { die "Unknown processing instruction: " . $_[0]; });
# sgml('entity',sub { die "Unknown external entity: " . $_[0]->name; });
# sgml('start_subdoc',sub { die "Unknown subdoc entity: " . $_[0]->name; });
# sgml('end_subdoc','');
# sgml('conforming','');
